Skip to main content

Add resources to an organization

Adds resources to an organization, associating them with the specified organization for management and access purposes. Use this to organize resources under a common organizational structure.

HTTP method and endpoint

POST /organizations/{organization_id}/resources

Usage notes

Adds resources to the specified organization.

Parameters

Name Type In Required Description

organization_id

string

path

True

Organization ID used to display resources.

  • example: 666a3f38-d4fa-5b62-a391-a69029758d32

Request Body

Indicates the resources to add to the folder.

Name Type Required Description

resources

array[string]

True

JSON array of resource UUIDs.

type

string

True

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.resourcebulk"

version

string

True

Version of the resource. Defined values are:

  • "1.0"

Example request
{
  "resources": [
    "a94ac68f-ea20-47aa-add8-8d41be0d8466",
    "b04ac68f-da27-578a-cee8-9e45bq0d8466"
  ],
  "type": "application/vnd.netapp.bxp.resourcebulk",
  "version": "1.0"
}

Response

Status: 202, Indicates the resources request was accepted.

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Error

Status: 404, Not found
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404",
  "title": "Collection not found",
  "type": "https://bluexp.netapp.io/problems/2"
}

Error

Status: 409, Conflict
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409",
  "title": "JSON resource conflict",
  "type": "https://bluexp.netapp.io/problems/10"
}

Definitions

See Definitions

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.